ToolzerHub Docs

Get job details (v1)

Returns a Bayt posting's full description, skills section, pay band in the employer's currency and period, employment type, closing date, company size and the employer's candidate preferences from its link or job ID. data is null when the posting does not exist or has expired.

1 credit / requestBilled only on success
GET
/v1/bayt/job

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

job_id_or_url*string

The job_id from a search result, or the posting's bayt.com link, such as https://www.bayt.com/en/uae/jobs/sr-accountant-general-accountant-5504825/.

Lengthlength <= 1000
curl -X GET "https://example.com/v1/bayt/job?job_id_or_url=5504825" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "job_id": "5504825",    "title": "Sr. Accountant -General Accountant",    "url": "https://www.bayt.com/en/uae/jobs/sr-accountant-general-accountant-5504825/",    "company": {      "name": "Brentta General Trading LLC",      "url": "https://www.bayt.com/en/company/brentta-general-trading-llc-2327243/",      "logo_url": "string",      "size": "1-9 Employees",      "industry": "string"    },    "location": "Dubai, UAE",    "city": "Dubai",    "region": "Dubai",    "country_code": "AE",    "salary": {      "min": 1500,      "max": 2000,      "currency": "USD",      "period": "month"    },    "salary_label": "AED 5,509 - AED 7,345",    "employment_type": "FULL_TIME",    "career_level": "Mid career",    "description_html": "string",    "skills_html": "string",    "preferred_candidate": {      "career_level": "Mid career",      "degree": "Bachelor's degree",      "nationality": "Indian"    },    "posted_date": "2026-11-05",    "valid_through": "2026-12-05T00:00:00Z",    "openings": 1,    "is_easy_apply": true  },  "details": {    "reason": "string",    "message": "string"  }}